add a directory for running nagios scale/performance tests
[monitor.git] / nagios / test / status.sh
diff --git a/nagios/test/status.sh b/nagios/test/status.sh
new file mode 100755 (executable)
index 0000000..4658d09
--- /dev/null
@@ -0,0 +1,14 @@
+#!/bin/bash 
+
+source /usr/share/monitor/nagios/common.sh
+
+HOST=monitor.planet-lab.org 
+open_http $HOST
+
+PAUSE=$( random_delay 30 ) 
+sleep $PAUSE
+/usr/lib/nagios/plugins/check_dummy $( percent_true 90 ) "After $PAUSE sec pause; $1"
+R=$?
+
+close_http
+exit $R